axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard Taylor (JIRA)" <j...@apache.org>
Subject [jira] Issue Comment Edited: (AXIS2-3090) Make SOAP 1.2 bindings optional, as they break older Axis 1 clients
Date Wed, 08 Aug 2007 19:44:59 GMT

    [ https://issues.apache.org/jira/browse/AXIS2-3090?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12518533
] 

richt edited comment on AXIS2-3090 at 8/8/07 12:43 PM:
----------------------------------------------------------------

I believe the author made a simple typo in the name of the attached patch.  It should be disable-soap-1.2.patch,
not "1.1".  Just pointing it out to avoid confusion.    I'm also interested in this fix as
I'm also having problems with some older clients/tools handling the SOAP 1.2 binding in the
WSDLs.  There are also tools (Eclipse WTP 2.0 WSDL validator) having issues with the HTTP/REST
Binding as well.

      was (Author: richt):
    I believe the author made a simple typo in the name of the attached patch.  It should
be disable-soap-1.2.patch, not "1.1".  Just pointing it out to avoid confusion.    I'm also
interested in this fix as I'm also having problems with some older clients/tools handling
the SOAP 1.2 binding in the WSDLs.  There are also tools (Eclipse WTP 2.0 WSDL validator)
having issues with the HTTP Binding as well.
  
> Make SOAP 1.2 bindings optional, as they break older Axis 1 clients
> -------------------------------------------------------------------
>
>                 Key: AXIS2-3090
>                 URL: https://issues.apache.org/jira/browse/AXIS2-3090
>             Project: Axis 2.0 (Axis2)
>          Issue Type: Improvement
>          Components: kernel
>    Affects Versions: 1.2
>            Reporter: Thomas Leonard
>            Assignee: Deepal Jayasinghe
>             Fix For: 1.3
>
>         Attachments: disable-soap-1.1.patch
>
>
> We're trying to create some Axis 2 services which are usable by other clients (including
.NET and Axis 1). At first, we had problems due to AXIS2-2294, but upgrading to Axis 2 1.3-RC2
fixed that. However, the WSDL is still unreadable to the Axis 1 client because of the SOAP
1.2 bindings which are also present in the file:
> java.io.IOException: ERROR: Missing <soap:fault> element inFault "XMLStreamException"
in operation "XMLStreamException", in binding sayHello
> The attached patch (disable-soap-1.1.patch) adds a configuration option to disable generation
of these bindings.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message